# SAIBR (python implementation)

[![CC BY 4.0][cc-by-shield]][cc-by]
[![PyPi version](https://badgen.net/pypi/v/saibr/)](https://pypi.org/project/saibr)
[![Binder](https://mybinder.org/badge_logo.svg)](https://mybinder.org/v2/gh/goehringlab/saibr_python/HEAD?filepath=%2Fscripts/SAIBRdemonstration.ipynb)


Python implementation of SAIBR: a simple, platform independent protocol for spectral autofluorescence correction

[Paper](https://journals.biologists.com/dev/article/149/14/dev200545/276004/SAIBR-a-simple-platform-independent-method-for)

[FIJI plugin](https://github.com/goehringlab/saibr_fiji_plugin)


## Tutorial notebook

Please see the [tutorial notebook](https://nbviewer.org/github/goehringlab/saibr_python/blob/master/scripts/SAIBRdemonstration.ipynb) for instructions on usage.

To run interactively in the cloud with Binder, click here: [![Binder](https://mybinder.org/badge_logo.svg)](https://mybinder.org/v2/gh/goehringlab/saibr_python/HEAD?filepath=%2Fscripts/SAIBRdemonstration.ipynb)

(The notebook may take a few minutes to open)


## Install instructions

To explore further and incorporate into your own analysis pipelines, you can install the package using pip:

    pip install saibr

## License

This work is licensed under a
[Creative Commons Attribution 4.0 International License][cc-by].

[![CC BY 4.0][cc-by-image]][cc-by]

[cc-by]: http://creativecommons.org/licenses/by/4.0/
[cc-by-image]: https://i.creativecommons.org/l/by/4.0/88x31.png
[cc-by-shield]: https://img.shields.io/badge/License-CC%20BY%204.0-lightgrey.svg
